Public Attributes | List of all members
dfu_uart_info_t Struct Reference
SYSTEM » Device Firmware Update » Structures

DFU uart config definition. More...

`#include <gr55xx_dfu.h>`

## Public Attributes
dfu_info_state | state
| DFU UART Enable or Disable. More...
dfu_uart_baudrate_t | baud_rate
| UART communication baudrate. More...
dfu_uart_data_bit_t | data_bit
| The number of data bits transmitted or received in a frame. More...
dfu_uart_stop_bit_t | stop_bits
| The number of stop bits transmitted. More...
dfu_uart_parity_bit_t | parity
| Specify the parity mode. More...
dfu_uart_pin_group_t | pin_group
| Uart pin group. More...

## Detailed Description

DFU uart config definition.

Definition at line 160 of file gr55xx_dfu.h.

## Member Data Documentation

## ◆ baud_rate

dfu_uart_baudrate_t dfu_uart_info_t::baud_rate

UART communication baudrate.

This parameter can be a value of dfu_uart_baudrate_t.

Definition at line 163 of file gr55xx_dfu.h.

## ◆ data_bit

dfu_uart_data_bit_t dfu_uart_info_t::data_bit

The number of data bits transmitted or received in a frame.

This parameter can be a value of dfu_uart_data_bit_t.

Definition at line 164 of file gr55xx_dfu.h.

## ◆ parity

dfu_uart_parity_bit_t dfu_uart_info_t::parity

Specify the parity mode.

This parameter can be a value of dfu_uart_parity_bit_t.

Definition at line 166 of file gr55xx_dfu.h.

## ◆ pin_group

dfu_uart_pin_group_t dfu_uart_info_t::pin_group

Uart pin group.

This parameter can be a value of dfu_uart_pin_group_t.

Definition at line 167 of file gr55xx_dfu.h.

## ◆ state

dfu_info_state dfu_uart_info_t::state

DFU UART Enable or Disable.

This parameter can be a value of dfu_info_state.

Definition at line 162 of file gr55xx_dfu.h.

## ◆ stop_bits

dfu_uart_stop_bit_t dfu_uart_info_t::stop_bits

The number of stop bits transmitted.

This parameter can be a value of dfu_uart_stop_bit_t.

Definition at line 165 of file gr55xx_dfu.h.

The documentation for this struct was generated from the following file:

- gr55xx_dfu.h